UNW\_APPLY\_REG\_STATE(3)

NAME
unw_apply_reg_state -- apply a register state update to a cursor

SYNOPSIS

#include <libunwind.h>

int unw_apply_reg_state(unw_cursor_t *cp, void *reg_states_data);

DESCRIPTION

The unw_apply_reg_state() routine updates the register values of a cursor according to the instructions in reg_states_data, which have been obtained by calling unw_reg_states_iterate.

RETURN VALUE

On successful completion, unw_apply_reg_state() returns 0. Otherwise the negative value of one of the error-codes below is returned.

THREAD AND SIGNAL SAFETY

unw_apply_reg_state() is thread-safe. If cursor cp is in the local address-space, this routine is also safe to use from a signal handler.

ERRORS

UNW_EUNSPEC
     An unspecified error occurred.

UNW_ENOINFO
     Libunwind was unable to locate unwind-info for the procedure.

UNW_EBADVERSION
     The unwind-info for the procedure has version or format that is not understood by libunwind.

In addition, unw_apply_reg_state() may return any error returned by the access_mem() call-back (see unw_create_addr_space(3)).

SEE ALSO

libunwind(3), unw_reg_states_iterate(3)

AUTHOR

David Mosberger-Tang
Email: dmosberger@gmail.com
WWW: http://www.nongnu.org/libunwind/.